<?php

class Waindigo_InstallUpgrade_Helper_Http extends XenForo_Helper_Http
{

    public static function getClient($uri, array $options = array())
    {
        if (XenForo_Application::get('config')->disableCallbacks) {
            throw new Zend_Http_Client_Exception(new XenForo_Phrase('waindigo_callbacks_have_been_disabled_installupgrade'));
        }

        return parent::getClient($uri, $options);
    }
}